SFEED_UPDATE(1)

NAME
sfeed_update - update feeds and merge with old feeds

SYNOPSIS
sfeed_update [sfeedrc]

DESCRIPTION
sfeed_update writes TAB-separated feed files and merges new items with the items in any existing files. The items are stored as one file per feed in the directory $HOME/.sfeed/feeds by default. The directory can be changed in the sfeedrc(5) file.

OPTIONS

sfeedrc
    Config file. The default is $HOME/.sfeed/sfeedrc.

FILES READ

sfeedrc
    This file is evaluated as a shellscript in sfeed_update. See also the sfeedrc(5) man page for a detailed description of the format and an example file.

FILES WRITTEN

feedname
    TAB-separated sfeed(5) format containing all items per feed. The sfeed_update script merges new items with this file. The feed name cannot contain the '/' character because it is a path separator, they will be replaced with '_'.

ENVIRONMENT VARIABLES

SFEED_UPDATE_INCLUDE
    When set to "1" sfeed_update can be sourced as a script, but it won't run the main() entry-point.

LOGGING
When processing a feed it will log failures to stderr and non-failures to stdout in the format:

    [HH:MM:SS] feedname message

EXIT STATUS
If any of the feeds failed to update then the return status is non-zero.

EXAMPLES
To update your feeds and format them in various formats:

    # Update feeds
    sfeed_update "configfile"
    # Format to a plain-text list
    sfeed_plain ~/.sfeed/feeds/* > ~/.sfeed/feeds.txt
    # Format to HTML
    sfeed_html ~/.sfeed/feeds/* > ~/.sfeed/feeds.html
    # Format to HTML with frames
    mkdir -p somedir && cd somedir && sfeed_frames ~/.sfeed/feeds/*

SEE ALSO
sfeed(1), sfeed_frames(1), sfeed_html(1), sfeed_plain(1), sh(1), sfeed(5), sfeedrc(5)

AUTHORS
Hiltjo Posthuma <hiltjo@codemadness.org>